// Code generated by protoc-gen-go. DO NOT EDIT.
// source: qr_code_message.proto

package protobuffer

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type QRCodeRequest struct {
	Uuid                 string   `protobuf:"bytes,1,opt,name=uuid,proto3" json:"uuid,omitempty"`
	Description          string   `protobuf:"bytes,2,opt,name=description,proto3" json:"description,omitempty"`
	ImageLink            string   `protobuf:"bytes,3,opt,name=imageLink,proto3" json:"imageLink,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *QRCodeRequest) Reset()         { *m = QRCodeRequest{} }
func (m *QRCodeRequest) String() string { return proto.CompactTextString(m) }
func (*QRCodeRequest) ProtoMessage()    {}
func (*QRCodeRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_984599347a9952bc, []int{0}
}

func (m *QRCodeRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_QRCodeRequest.Unmarshal(m, b)
}
func (m *QRCodeRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_QRCodeRequest.Marshal(b, m, deterministic)
}
func (m *QRCodeRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_QRCodeRequest.Merge(m, src)
}
func (m *QRCodeRequest) XXX_Size() int {
	return xxx_messageInfo_QRCodeRequest.Size(m)
}
func (m *QRCodeRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_QRCodeRequest.DiscardUnknown(m)
}

var xxx_messageInfo_QRCodeRequest proto.InternalMessageInfo

func (m *QRCodeRequest) GetUuid() string {
	if m != nil {
		return m.Uuid
	}
	return ""
}

func (m *QRCodeRequest) GetDescription() string {
	if m != nil {
		return m.Description
	}
	return ""
}

func (m *QRCodeRequest) GetImageLink() string {
	if m != nil {
		return m.ImageLink
	}
	return ""
}

type QRCodeRemoveRequest struct {
	UuidNew              string   `protobuf:"bytes,1,opt,name=uuidNew,proto3" json:"uuidNew,omitempty"`
	UuidOld              string   `protobuf:"bytes,2,opt,name=uuidOld,proto3" json:"uuidOld,omitempty"`
	Description          string   `protobuf:"bytes,3,opt,name=description,proto3" json:"description,omitempty"`
	ImageLink            string   `protobuf:"bytes,4,opt,name=imageLink,proto3" json:"imageLink,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *QRCodeRemoveRequest) Reset()         { *m = QRCodeRemoveRequest{} }
func (m *QRCodeRemoveRequest) String() string { return proto.CompactTextString(m) }
func (*QRCodeRemoveRequest) ProtoMessage()    {}
func (*QRCodeRemoveRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_984599347a9952bc, []int{1}
}

func (m *QRCodeRemoveRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_QRCodeRemoveRequest.Unmarshal(m, b)
}
func (m *QRCodeRemoveRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_QRCodeRemoveRequest.Marshal(b, m, deterministic)
}
func (m *QRCodeRemoveRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_QRCodeRemoveRequest.Merge(m, src)
}
func (m *QRCodeRemoveRequest) XXX_Size() int {
	return xxx_messageInfo_QRCodeRemoveRequest.Size(m)
}
func (m *QRCodeRemoveRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_QRCodeRemoveRequest.DiscardUnknown(m)
}

var xxx_messageInfo_QRCodeRemoveRequest proto.InternalMessageInfo

func (m *QRCodeRemoveRequest) GetUuidNew() string {
	if m != nil {
		return m.UuidNew
	}
	return ""
}

func (m *QRCodeRemoveRequest) GetUuidOld() string {
	if m != nil {
		return m.UuidOld
	}
	return ""
}

func (m *QRCodeRemoveRequest) GetDescription() string {
	if m != nil {
		return m.Description
	}
	return ""
}

func (m *QRCodeRemoveRequest) GetImageLink() string {
	if m != nil {
		return m.ImageLink
	}
	return ""
}

type QrCodeResponse struct {
	LinkQrcode           string   `protobuf:"bytes,1,opt,name=linkQrcode,proto3" json:"linkQrcode,omitempty"`
	Error                string   `protobuf:"bytes,2,opt,name=error,proto3" json:"error,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *QrCodeResponse) Reset()         { *m = QrCodeResponse{} }
func (m *QrCodeResponse) String() string { return proto.CompactTextString(m) }
func (*QrCodeResponse) ProtoMessage()    {}
func (*QrCodeResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_984599347a9952bc, []int{2}
}

func (m *QrCodeResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_QrCodeResponse.Unmarshal(m, b)
}
func (m *QrCodeResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_QrCodeResponse.Marshal(b, m, deterministic)
}
func (m *QrCodeResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_QrCodeResponse.Merge(m, src)
}
func (m *QrCodeResponse) XXX_Size() int {
	return xxx_messageInfo_QrCodeResponse.Size(m)
}
func (m *QrCodeResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_QrCodeResponse.DiscardUnknown(m)
}

var xxx_messageInfo_QrCodeResponse proto.InternalMessageInfo

func (m *QrCodeResponse) GetLinkQrcode() string {
	if m != nil {
		return m.LinkQrcode
	}
	return ""
}

func (m *QrCodeResponse) GetError() string {
	if m != nil {
		return m.Error
	}
	return ""
}

func init() {
	proto.RegisterType((*QRCodeRequest)(nil), "product_service.QRCodeRequest")
	proto.RegisterType((*QRCodeRemoveRequest)(nil), "product_service.QRCodeRemoveRequest")
	proto.RegisterType((*QrCodeResponse)(nil), "product_service.QrCodeResponse")
}

func init() {
	proto.RegisterFile("qr_code_message.proto", fileDescriptor_984599347a9952bc)
}

var fileDescriptor_984599347a9952bc = []byte{
	// 290 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x8c, 0x92, 0x41, 0x4b, 0xc3, 0x40,
	0x10, 0x85, 0x8d, 0xad, 0x95, 0x4e, 0x89, 0x85, 0x51, 0x21, 0x88, 0xd4, 0x12, 0x3c, 0x78, 0xca,
	0x41, 0x7f, 0x81, 0x16, 0xbc, 0x28, 0x4a, 0xe2, 0xad, 0x97, 0x90, 0x66, 0xa7, 0x65, 0x69, 0x93,
	0x4d, 0x67, 0x93, 0xfa, 0x1b, 0xfc, 0x47, 0xfe, 0x3c, 0x69, 0xb2, 0xd1, 0x34, 0x22, 0xf6, 0xb6,
	0x6f, 0x1e, 0xbc, 0xf7, 0xf1, 0x58, 0x38, 0x5f, 0x73, 0x18, 0x2b, 0x41, 0x61, 0x42, 0x5a, 0x47,
	0x0b, 0xf2, 0x32, 0x56, 0xb9, 0xc2, 0x61, 0xc6, 0x4a, 0x14, 0x71, 0x1e, 0x6a, 0xe2, 0x8d, 0x8c,
	0xc9, 0x8d, 0xc1, 0xf6, 0x83, 0x89, 0x12, 0x14, 0xd0, 0xba, 0x20, 0x9d, 0x23, 0x42, 0xb7, 0x28,
	0xa4, 0x70, 0xac, 0xb1, 0x75, 0xd3, 0x0f, 0xca, 0x37, 0x8e, 0x61, 0x20, 0x48, 0xc7, 0x2c, 0xb3,
	0x5c, 0xaa, 0xd4, 0x39, 0x2c, 0xad, 0xe6, 0x09, 0x2f, 0xa1, 0x2f, 0x93, 0x68, 0x41, 0xcf, 0x32,
	0x5d, 0x3a, 0x9d, 0xd2, 0xff, 0x39, 0xb8, 0x1f, 0x16, 0x9c, 0xd6, 0x2d, 0x89, 0xda, 0x7c, 0x77,
	0x39, 0x70, 0xbc, 0xcd, 0x7f, 0xa1, 0x77, 0x53, 0x57, 0xcb, 0xda, 0x79, 0x5d, 0x09, 0xd3, 0x56,
	0xcb, 0x36, 0x4b, 0xe7, 0x1f, 0x96, 0x6e, 0x9b, 0xe5, 0x11, 0x4e, 0x7c, 0xae, 0x50, 0x74, 0xa6,
	0x52, 0x4d, 0x38, 0x02, 0x58, 0xc9, 0x74, 0xe9, 0xf3, 0x76, 0x2f, 0x03, 0xd2, 0xb8, 0xe0, 0x19,
	0x1c, 0x11, 0xb3, 0x62, 0x43, 0x52, 0x89, 0xdb, 0x4f, 0x0b, 0xec, 0x2a, 0xe8, 0xad, 0x9a, 0x12,
	0x9f, 0xa0, 0x37, 0x61, 0x8a, 0x72, 0xc2, 0x91, 0xd7, 0x9a, 0xd9, 0xdb, 0xd9, 0xf8, 0xe2, 0xea,
	0xb7, 0xbf, 0x83, 0xe4, 0x1e, 0xe0, 0x14, 0x86, 0xd5, 0x56, 0xf7, 0xa9, 0x30, 0xa9, 0xd7, 0x7f,
	0xa6, 0x36, 0x36, 0xdd, 0x23, 0xfb, 0xc1, 0x9e, 0x0e, 0xca, 0xdf, 0x30, 0x2b, 0xe6, 0x73, 0xe2,
	0x59, 0xaf, 0x14, 0x77, 0x5f, 0x01, 0x00, 0x00, 0xff, 0xff, 0xa2, 0xac, 0xf3, 0x2d, 0x33, 0x02,
	0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// QrCodeServiceClient is the client API for QrCodeService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type QrCodeServiceClient interface {
	Create(ctx context.Context, in *QRCodeRequest, opts ...grpc.CallOption) (*QrCodeResponse, error)
	RemoveAndCreate(ctx context.Context, in *QRCodeRemoveRequest, opts ...grpc.CallOption) (*QrCodeResponse, error)
}

type qrCodeServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewQrCodeServiceClient(cc grpc.ClientConnInterface) QrCodeServiceClient {
	return &qrCodeServiceClient{cc}
}

func (c *qrCodeServiceClient) Create(ctx context.Context, in *QRCodeRequest, opts ...grpc.CallOption) (*QrCodeResponse, error) {
	out := new(QrCodeResponse)
	err := c.cc.Invoke(ctx, "/product_service.QrCodeService/Create", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *qrCodeServiceClient) RemoveAndCreate(ctx context.Context, in *QRCodeRemoveRequest, opts ...grpc.CallOption) (*QrCodeResponse, error) {
	out := new(QrCodeResponse)
	err := c.cc.Invoke(ctx, "/product_service.QrCodeService/RemoveAndCreate", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// QrCodeServiceServer is the server API for QrCodeService service.
type QrCodeServiceServer interface {
	Create(context.Context, *QRCodeRequest) (*QrCodeResponse, error)
	RemoveAndCreate(context.Context, *QRCodeRemoveRequest) (*QrCodeResponse, error)
}

// UnimplementedQrCodeServiceServer can be embedded to have forward compatible implementations.
type UnimplementedQrCodeServiceServer struct {
}

func (*UnimplementedQrCodeServiceServer) Create(ctx context.Context, req *QRCodeRequest) (*QrCodeResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Create not implemented")
}
func (*UnimplementedQrCodeServiceServer) RemoveAndCreate(ctx context.Context, req *QRCodeRemoveRequest) (*QrCodeResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RemoveAndCreate not implemented")
}

func RegisterQrCodeServiceServer(s *grpc.Server, srv QrCodeServiceServer) {
	s.RegisterService(&_QrCodeService_serviceDesc, srv)
}

func _QrCodeService_Create_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(QRCodeRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(QrCodeServiceServer).Create(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/product_service.QrCodeService/Create",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(QrCodeServiceServer).Create(ctx, req.(*QRCodeRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _QrCodeService_RemoveAndCreate_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(QRCodeRemoveRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(QrCodeServiceServer).RemoveAndCreate(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/product_service.QrCodeService/RemoveAndCreate",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(QrCodeServiceServer).RemoveAndCreate(ctx, req.(*QRCodeRemoveRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _QrCodeService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "product_service.QrCodeService",
	HandlerType: (*QrCodeServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "Create",
			Handler:    _QrCodeService_Create_Handler,
		},
		{
			MethodName: "RemoveAndCreate",
			Handler:    _QrCodeService_RemoveAndCreate_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "qr_code_message.proto",
}
